// Datei: delay.c
// Verzgerungsschleifen mit Timer 0
//
// Holger Klabunde 
// 11.02.2006
// Compiler MCC18

#include <p18cxxx.h>

#include "delay.h"

//Fr interne Taktfrequenz des PIC = 12MHz (USB-Clock 48MHz)
//Prescaler 1/32
//delay<=65535 !!
//Nicht sonderlich genau !!
void Delay1ms(unsigned int time)
{
 unsigned int i;

 for(i=0; i<time; i++)
  {
   Delay100us(10);
  }
}

void Delay100us(unsigned char time)
{
 unsigned char i;

 for(i=0; i<time; i++)
  {
   INTCONbits.T0IF=0;
   TMR0L=255-38;   //Timer mit Delay setzen
   while(!INTCONbits.T0IF); //Warten bis Timer berluft
  }
}

void Delay10us(void)
{

 INTCONbits.T0IF=0;
 TMR0L=255-4;   //Timer mit Delay setzen
 while(!INTCONbits.T0IF); //Warten bis Timer berluft
}
